Bug 1461164 - Attach/Detach volume to/from instance provides no flash message
Attach/Detach volume to/from instance provides no flash message
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.3
Assigned To: Sam Lucidi
Ola Pavlenko
: ZStream
Depends On: 1455100
  Show dependency treegraph
Reported: 2017-06-13 13:22 EDT by Satoe Imaishi
Modified: 2018-02-28 08:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1455100
Last Closed: 2018-02-28 08:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack

Attachments (Terms of Use)
new message with error (100.57 KB, image/jpeg)
2017-07-03 10:09 EDT, Oleksandr Kolisnyk
no flags Details

  None (edit)
Comment 2 CFME Bot 2017-06-13 13:23:55 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:

commit d748deb5f2e3aec86c925915fe6cad175750ee0f
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jun 9 13:40:30 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 13 13:22:56 2017 -0400

    Merge pull request #1514 from mansam/fix-cloud-volume-attach-detach-flashes
    Fix flash messages on the Instance attach/detach cloud volume form
    (cherry picked from commit 38f25e3820ff6bc1d7987d8b66085e94afc13ce3)

 app/controllers/vm_cloud_controller.rb | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)
Comment 3 Oleksandr Kolisnyk 2017-07-03 10:08:02 EDT
Failed - there is a message
"Attaching Cloud Volume "%{volume_name}" to %{vm_name}% finished"

Tried on with RHOS 10
Comment 4 Oleksandr Kolisnyk 2017-07-03 10:09 EDT
Created attachment 1293903 [details]
new message with error
Comment 7 CFME Bot 2017-11-20 13:18:35 EST
New commit detected on ManageIQ/manageiq-ui-classic/fine:

commit 35afc8242f754ab2b9fcff63e1fa3af3fc7aee7b
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov 7 13:47:06 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 13:14:30 2017 -0500

    Merge pull request #2648 from mansam/fix-cloud-volume-attachment-flash-messages
    Fix variable interpolation in volume attach/detach messages
    (cherry picked from commit 6dcc338ed7d8693475ec7f1b30a26110cd430747)

 app/controllers/vm_cloud_controller.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 9 Jadh 2018-02-26 10:18:44 EST
Verified on RHOS 11
Comment 12 errata-xmlrpc 2018-02-28 08:04:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.